## judy 1.0.5

=== debian/changelog ===
judy (1.0.5-7) unstable; urgency=medium

  * Adopt package (Closes: #1111491)
  * Added patch for man page example error.
  * Updated description of older patches.

 -- Syed Shahrukh Hussain <syed.shahrukh@ossrevival.org>  Fri, 3 Oct 2025 10:08:16 +0500

judy (1.0.5-6) unstable; urgency=medium

  * Orphan Judy package

 -- Troy Heber <troyh@debian.org>  Sun, 17 Aug 2025 14:20:51 -0600

judy (1.0.5-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Maintain package in Debian team on Salsa
    Closes: #1070101, #1102296
  * Add Homepage
  * d/watch:
     - version=4
     - Secure URI
  * d/README.source: Remove since redundant
  * d/copyright: DEP5
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Trim trailing whitespace.
  * Drop no longer supported add-log-mailing-address setting from d/changelog.
  * debian/control: Remove empty control field Uploaders.
  * Replace XC-Package-Type with Package-Type.
  * Remove unnecessary XS-Testsuite field in debian/control.
  * Remove field Section on binary package libjudydebian1 that duplicates
    source.
  * Do not build parallel since this breaks manpage creation
  * Make sure default dh_missing --fail-missing will not fail
  * Permit failure of blhc in Salsa CI

 -- Andreas Tille <tille@debian.org>  Mon, 07 Apr 2025 09:03:05 +0200

judy (1.0.5-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007057)

 -- Bastian Germann <bage@debian.org>  Sat, 28 Oct 2023 13:58:33 +0200

judy (1.0.5-5) unstable; urgency=medium

  * Patch from Andrey Gursky <andrey.gursky@e-mail.ua>, Remove
    -fno-aggressive-loop-optimizations, (Closes: #782841))

 -- Troy Heber <troyh@debian.org>  Mon, 27 Apr 2015 07:20:49 -0600

judy (1.0.5-4) unstable; urgency=medium

  * Patch from Vincent Bernat to remove dh-exec Closes: #760173)

 -- Troy Heber <troyh@debian.org>  Wed, 03 Sep 2014 08:10:59 -0600

judy (1.0.5-3) unstable; urgency=medium

  * Missed adding dh-autoreconf on rules re-write. (Closes: #732824)
  * Clean up auto generated man pages to resolve lintian errors and warnings
  * Add README.source
  * Add dh-exec dependency for multiarch .so link creation

 -- Troy Heber <troyh@debian.org>  Mon, 11 Aug 2014 09:27:37 -0600

judy (1.0.5-2) unstable; urgency=medium

  * Accepting NMU changes
  * Update policy to 3.9.5.0
  * Compile with -fno-aggressive-loop-optimizations, (Closes: #755099)
  * Add watch file (Closes: #513200)
  * debian/rules re-write to minimal dh 9 compability

 -- Troy Heber <troyh@debian.org>  Tue, 15 Jul 2014 15:14:04 -0600

judy (1.0.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh-autoreconf in build to support new architectures (Closes: #732824)

 -- Chen Baozi <baozich@gmail.com>  Tue, 03 Jun 2014 15:14:54 +0800

judy (1.0.5-1) unstable; urgency=low

  * Fixed alignment issue, (Closes: #401124)
  * Update packaging, policy, debhelper, etc.
  * Removed old BIT cruft from rules
  * Upstream has propper distclean target (Closes: #424425)

 -- Troy Heber <troyh@debian.org>  Mon, 21 May 2007 15:07:50 -0600

judy (1.0.3-2) unstable; urgency=low

  * Resolves #372525, remove .shlibs
  * Policy update
  * Updated FSF address in copyright

 -- Troy Heber <troyh@debian.org>  Sun, 11 Jun 2006 15:58:14 -0600

judy (1.0.3-1) unstable; urgency=low

  * Workaround bug in make: #349078
  * Using my shiny new email address
  * Fixed FTBFS because of #349078 (closes: #353105)

 -- Troy Heber <troyh@debian.org>  Thu, 16 Feb 2006 08:26:11 -0700

judy (1.0.2-1) unstable; urgency=low

  * Create .so symlink in the dev package.
  * Fixed generation of manpages (closes: #331700)
  * Fixed issues with 32-bit & 64-bit builds

 -- Troy Heber <troyh@debian.org>  Wed, 18 Jan 2006 11:43:24 -0700

judy (1.0.1-5) unstable; urgency=low

  * Moving LGPL link in copyright back to LGPL-2.1
  * Cleanup of debian/rules: removed explicit refs to 32-bit archs, removed
    unnecessary nostrip, using --man dir to install man pages, moving from
    dh_movefiles to dh_install.

 -- Troy Heber <troy.heber@hp.com>  Tue, 22 Mar 2005 06:55:53 -0700

judy (1.0.1-4) unstable; urgency=low

  * Fixed LGPL link in copyright
  * Removing unused postinst and postrm

 -- Troy Heber <troy.heber@hp.com>  Sat, 19 Mar 2005 15:16:54 -0700

judy (1.0.1-3) unstable; urgency=low

  * Fixed Section for libjudy-dev, was devel moved to libdevel.
  * Last upload was debian native, fixing and making non-native.

 -- Troy Heber <troy.heber@hp.com>  Wed, 16 Mar 2005 16:41:23 -0700

judy (1.0.1-2) unstable; urgency=low

  * Updated copyright file to include LGPL
  * Fixing incorrect defaults from 64-bit to 32-bit on PPC & s390

 -- Troy Heber <troy.heber@hp.com>  Thu, 03 Mar 2005 10:20:03 -0700

judy (1.0.1-1) unstable; urgency=low

  * New version of Judy with new 1.0.1 API
  * Troy Heber is taking over maintainership from Theodore Y. Ts'o.
  * Closes: Bug#2277142

 -- Troy Heber <troy.heber@hp.com>  Tue, 14 Dec 2004 09:23:48 -0700

judy (0.0.4-7) unstable; urgency=low

  * Fix incorrect symlinks in man pages (Closes: #203995)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sat, 17 Jan 2004 00:04:53 -0500

judy (0.0.4-6) unstable; urgency=low

  * Fix maintainer field in debian control file (mea culpa, mea maximum
    culpa)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sat, 11 Oct 2003 02:31:47 -0400

judy (0.0.4-5) unstable; urgency=low

  * New maintainer.
  * Clean up some lintian warnings
      - Compress man pages with -9
      - Remove (s) from "Upstream Author(s)"
      - Use symbolic links for man pages
  * Don't use hard-coded /usr/bin/{cc,ld,ar}

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sat, 12 Jul 2003 01:39:27 -0400

judy (0.0.4-4) unstable; urgency=low

  * Fix multiline strings so judy will build with gcc 3.3.  closes: #194936.
  * Orphan package; cf. #172772.

