=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,
export DEB_CFLAGS_MAINT_APPEND  = -Wall
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --mandir=/usr/share/man
	# Make sure Salsa CI will find the following repository which
	# is relevant for building the manpage.  The line is not needed
	# when building in plain tarball
	mkdir -p doc/man/man3
