=== debian/watch ===
version=4
https://sf.net/judy/Judy-([\d\.]+)\.tar\.gz
